跳到主要内容

列出全球集群 (V2)

List all global clusters in the account.

GET/v2/globalClusters
连接端点

该 API 的 Base URL 格式如下:

https://api.cloud.zilliz.com.cn

📘说明

控制面接口速率限制为单用户单接口每秒最多 20 个请求。

export BASE_URL="https://api.cloud.zilliz.com.cn"
参数
Authorizationstringheaderrequired

认证令牌,应为具备适当权限的 API 密钥。

示例值:Bearer {{TOKEN}}
pageSizeintegerquery

每次返回的记录数。

示例值:10
currentPageintegerquery

当前页码。

示例值:1
export TOKEN="YOUR_API_KEY"

curl --request GET \
--url "${BASE_URL}/v2/globalClusters" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
响应200 - application/json
countinteger

全球集群总数。

currentPageinteger

当前页码。

pageSizeinteger

每页记录数。

globalClustersarray

全球集群列表。

[]globalClustersobject
globalClusterIdstring

全球集群 ID。

示例值:glo-xxxxxxxxxxxxxxx
globalClusterNamestring

全球集群名称。

示例值:my-global-cluster
projectIdstring

全球集群所属项目 ID。

示例值:proj-xxxxxxxxxxxxxxx
regionIdsarray

全球集群部署的区域 ID 列表。

[]regionIdsstring

区域 ID。

cuTypestring

全球集群的计算单元类型(CU)。

示例值:Performance-optimized
cuSizeinteger

全球集群的计算单元大小(CU)。

示例值:4
connectAddressstring

全球集群的连接地址。

createTimestring<date-time>

全球集群的创建时间。

示例值:2026-06-01T12:00:00Z

返回错误消息。

codeinteger

响应码。

messagestring

错误描述。

{
"count": 1,
"currentPage": 1,
"pageSize": 10,
"globalClusters": [
{
"globalClusterId": "glo-xxxxxxxxxxxxxxx",
"globalClusterName": "my-global-cluster",
"projectId": "proj-xxxxxxxxxxxxxxx",
"regionIds": [
"ali-cn-hangzhou",
"ali-cn-beijing"
],
"cuType": "Performance-optimized",
"cuSize": 4,
"connectAddress": "https://glo-xxxxxxxx.global-cluster.vectordb.cloud.zilliz.com.cn",
"createTime": "2026-06-01T12:00:00Z"
}
]
}